import type { AsyncHasher, Hasher } from '@sd-jwt/types';
import type { Disclosure, DisclosureWithDigest } from '@sd-jwt/types';
import { HasherAlgorithm } from '@sd-jwt/utils';
export type CalculateDigestReturnType<HasherImplementation extends Hasher | AsyncHasher> = ReturnType<HasherImplementation> extends Promise<any> ? Promise<DisclosureWithDigest> : DisclosureWithDigest;
export declare const disclosureCalculateDigest: <HI extends Hasher | AsyncHasher>(disclosure: Disclosure, algorithm: HasherAlgorithm, hasher: HI) => CalculateDigestReturnType<HI>;
